export interface RawItemData {
  content?: Array<{ text: string }>;
  cuePointType?: string;
  label?: string;
  language?: string;
  text?: string;
}

export interface CuePoint {
  startTime: number;
  endTime?: number;
  id: string;
  type: string;
  metadata: RawItemData;
  text?: string;
}

export enum ItemTypes {
  Caption = 'kalturaCaption'
}
